diff --git a/cobbler/item_repo.py b/cobbler/item_repo.py
index 53ce8e6..04c37d0 100644
--- a/cobbler/item_repo.py
+++ b/cobbler/item_repo.py
@@ -46,6 +46,7 @@ class Repo(item.Item):
         self.rpm_list         = ("",         '<<inherit>>')[is_subobject]
         self.createrepo_flags = ("-c cache", '<<inherit>>')[is_subobject]
         self.depth            = 2  # arbitrary, as not really apart of the graph
+        self.breed             = "redhat"
         self.arch             = "" # use default arch
         self.yumopts          = {}
         self.owners           = self.settings.default_ownership
@@ -59,6 +60,7 @@ class Repo(item.Item):
         self.priority         = self.load_item(seed_data, 'priority',99)
         self.rpm_list         = self.load_item(seed_data, 'rpm_list')
         self.createrepo_flags = self.load_item(seed_data, 'createrepo_flags', '-c cache')
+        self.breed             = self.load_item(seed_data, 'breed')
         self.arch             = self.load_item(seed_data, 'arch')
         self.depth            = self.load_item(seed_data, 'depth', 2)
         self.yumopts          = self.load_item(seed_data, 'yumopts', {})
@@ -148,6 +150,9 @@ class Repo(item.Item):
         self.createrepo_flags = createrepo_flags
         return True
 
+    def set_breed(self,breed):
+        return utils.set_breed(self,breed)
+
     def set_arch(self,arch):
         """
         Override the arch used for reposync
@@ -181,6 +186,7 @@ class Repo(item.Item):
            'priority'         : self.priority,
            'rpm_list'         : self.rpm_list,
            'createrepo_flags' : self.createrepo_flags,
+           'breed'            : self.breed,
            'arch'             : self.arch,
            'parent'           : self.parent,
            'depth'            : self.depth,
@@ -193,6 +199,7 @@ class Repo(item.Item):
 
     def printable(self):
         buf =       _("repo             : %s\n") % self.name
+        buf = buf + _("breed            : %s\n") % self.breed
         buf = buf + _("arch             : %s\n") % self.arch
         buf = buf + _("createrepo_flags : %s\n") % self.createrepo_flags
         buf = buf + _("keep updated     : %s\n") % self.keep_updated
@@ -224,6 +231,7 @@ class Repo(item.Item):
     def remote_methods(self):
         return {
             'name'             :  self.set_name,
+            'breed'            :  self.set_breed,
             'arch'             :  self.set_arch,
             'mirror-name'      :  self.set_name,
             'mirror'           :  self.set_mirror,
diff --git a/cobbler/modules/cli_repo.py b/cobbler/modules/cli_repo.py
index dd34a10..245326e 100644
--- a/cobbler/modules/cli_repo.py
+++ b/cobbler/modules/cli_repo.py
@@ -47,7 +47,7 @@ class RepoFunction(commands.CobblerFunction):
 
 
         if not self.matches_args(args,["dumpvars","remove","report","list"]):
-
+            p.add_option("--breed",             dest="breed",             help="sets the breed of the repo")
             p.add_option("--arch",             dest="arch",             help="overrides repo arch if required")
         if self.matches_args(args,["add"]):
             p.add_option("--clobber", dest="clobber", help="allow add to overwrite existing objects", action="store_true")
@@ -92,6 +92,7 @@ class RepoFunction(commands.CobblerFunction):
         if self.matches_args(self.args,["dumpvars"]):
             return self.object_manipulator_finish(obj, self.api.profiles, self.options)
 
+        if self.options.breed:            obj.set_breed(self.options.breed)
         if self.options.arch:             obj.set_arch(self.options.arch)
         if self.options.createrepo_flags: obj.set_createrepo_flags(self.options.createrepo_flags)
         if self.options.rpm_list:         obj.set_rpm_list(self.options.rpm_list)
